Subject: Re: [PATCH net 3/3] gre: receive also TEB packets for lwtunnels

From: Jiri Benc <[email-masked]>
Date: Thu, 28 Apr 2016 10:23:35 +0200

On Thu, 28 Apr 2016 16:49:19 +1000, Simon Horman wrote:
> I have had some success wiring up Open vSwitch to use this patch for
> transmit. However, I am wondering if something more is needed to allow
> differentiation between packets with and without an L2 header present
> on receive.

The problem, as Pravin pointed out, is the patch does not correctly set
skb->protocol to ETH_P_TEB because of special handling of ETH_P_TEB in
iptunnel_pull_header. This will be fixed in v2 of the patch.

No flag will be needed then, just use skb->protocol.

 Jiri